SetRegionBlocked ("block", true,1);
SetRegionBlocked ("block", true,4);

function unlock()
SetRegionBlocked ("block", false,1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "s", nil );
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "s", "unlock" );

function DIALOG()
StartAdvMapDialog(0);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "dialog", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "dialog", "DIALOG");


function message1()
MessageBox("Maps/SingleMissions/Protectors/ZUKA.txt")
Trigger(OBJECT_TOUCH_TRIGGER, "zuko", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "zuko", "message1");

function message2()
MessageBox("Maps/SingleMissions/Protectors/ZUMA.txt")
Trigger(OBJECT_TOUCH_TRIGGER, "zuma", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "zuma", "message2");


function message4()
MessageBox("Maps/SingleMissions/Protectors/RECH.txt")
Trigger(OBJECT_TOUCH_TRIGGER, "key", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "key", "message4");


function message3()
MessageBox("Maps/SingleMissions/Protectors/ZORO.txt")
Trigger(OBJECT_TOUCH_TRIGGER, "zoro", nil);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "zoro", "message3");


function message6()
MessageBox("Maps/SingleMissions/Protectors/KEY.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "rech", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "rech", "message6");

 function P()
 SetObjectOwner("Nemor", PLAYER_1)
 Trigger(REGION_ENTER_AND_STOP_TRIGGER, "p",nil);
 end;
 
 Trigger(REGION_ENTER_AND_STOP_TRIGGER, "p","P");